.benefits__outer {
    position: relative;
    background: radial-gradient(62.29% 45.75% at 50% 47.8%, rgba(245, 249, 255, 0) 0%, #F5F9FF 100%);
}

.benefits__outer::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: linear-gradient(#EBF4FF 1px, transparent 1px), linear-gradient(90deg, #EBF4FF 1px, transparent 1px);
    background-size: 15px 46px;
    opacity: 0.6;
    pointer-events: none;
    z-index: -1;
}

.benefits {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.benefits .block-title {
    margin-top: 16px;
}

.benefits .benefits__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
    margin-top: 40px;
}

.benefits .benefits__item {
    background-color: #fff;
    padding: 24px;
    box-shadow: -1px 8px 19px 0px #B3B3B31A,
        -3px 34px 34px 0px #B3B3B317,
        -7px 76px 46px 0px #B3B3B30D,
        -12px 135px 54px 0px #B3B3B303,
        -19px 211px 59px 0px #B3B3B300;
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: relative;
}

.benefits .benefits__item::before {
    content: url('/img/vacancy/benefits/plus.svg');
    position: absolute;
    top: 24px;
    right: 24px;
}

.benefits .benefits__icon-wrapper {
    --size: 50px;
    --icon-size: 25px;
    background-color: #258BFF;
    border-radius: 16px;
    width: var(--size);
    height: var(--size);
    display: flex;
    align-items: center;
    justify-content: center;
}

.benefits .benefits__icon {
    height: var(--icon-size);
    width: auto;
}

@media (max-width: 1100px) {
    .benefits .benefits__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .benefits .benefits__grid {
        grid-template-columns: 1fr;
        gap: 16px;
        width: 100%;
    }

    .benefits .benefits__item {
        padding: 20px;
    }
}

@media (max-width: 520px) {
    .benefits .benefits__item::before {
        top: 16px;
        right: 16px;
    }

    .benefits .benefits__icon-wrapper {
        --size: 44px;
        --icon-size: 22px;
    }
}
